<?php
/**
 * Plugin Name: Bulk Author Creator
 * Plugin URI: https://yassirkasmi.com/portfolio/bulk-author-creator-plugin/
 * Description: Create multiple WordPress authors in bulk by just providing their names
 * Version: 1.0.0
 * Author: Your Name
 * Author URI: https://yassirkasmi.com
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: bulk-author-creator
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Include required files
require_once plugin_dir_path(__FILE__) . 'includes/class-user-generator.php';
require_once plugin_dir_path(__FILE__) . 'includes/class-bulk-creator.php';
require_once plugin_dir_path(__FILE__) . 'admin/admin-page.php';

// Initialize the plugin
function bulk_author_creator_init() {
    add_action('admin_menu', 'bulk_author_creator_add_menu');
}
add_action('init', 'bulk_author_creator_init');

// Add menu item
function bulk_author_creator_add_menu() {
    add_users_page(
        'Bulk Author Creator',
        'Bulk Author Creator',
        'create_users',
        'bulk-author-creator',
        'bulk_author_creator_admin_page'
    );
}